Skip to main content
`Ctrl`+`K`

# AOType

String with the name of a PETSc application ordering type

## Synopsis

    typedef const char *AOType;
    #define AOBASIC          "basic"
    #define AOADVANCED       "advanced"
    #define AOMAPPING        "mapping"
    #define AOMEMORYSCALABLE "memoryscalable"

## See Also

`AOSetType()`, `AO`, `AOApplicationToPetsc()`, `AOCreateBasic()`, `AOCreate()`

## Level

beginner

## Location

include/petscao.h

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages